Subject: [os2genau_digest] No. 550
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sun, 23 Feb 2003 00:02:01 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Saturday 22 February 2003
 Number  550
**************************************************

Subjects for today
 
1  Re: [os2genau] Warp 4 is frozen on startup... : Ed Durrant <edurrant at bigpond dot net dot au>
2  [os2genau] The TEMPLATES folder [was Re: [os2genau] Warp 4 is frozen on startup...] : Mike O'Connor" <mikeoc at dodo dot com dot au>
3  [os2genau] PC Card Director for OS/2 : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>

**= Email   1 ==========================**

Date:  Sat, 22 Feb 2003 08:32:20 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re: [os2genau] _digest] Warp 4 is frozen on startup...

reboot

when the [[[]]]] OS/2 is displayed at the top LH corner, press alt+f1

from the blue backgrounded menu select "go to command line" - i think its option 2

When you get the command line, ensure it displays C:\ (or whichever drive you have
installed OS/2 to - but you must be in the root directory).

type TEDIT CONFIG.SYS

press the esc key to move to edit mode and add in a line that says:

SET RESTARTOBJECTS=STARTUPFOLDERSONLY

(this will ensure that ONLY items and folders in the startup folder are started at
startup, not those that were running at shutdown).

Press F4 to save and file your change and Ctrl+alt+del to restart the PC, let it start
normally this time and you should now be OK.

Cheers/2

Ed.

P.S. I suspect you've got a corrupted object in the templates folder that the WPS
can't access, you can try running chkdsk c: /f from boot diskettes or fram a
maintenance partition if you have one, to fix it. You can also create utility disks
from the running system and use these.

Glenn Montgomery wrote:

> Hello all,
>
> I have a bit of a problem with my warp when it is booting up.
>
> It all started when I opened the Templates folder and, much to my surprise,
> the system froze solid. I tried ctrl+esc and it came up with the Templates
> isn't responding, press enter to end. Well I did many times but this didn't
> help. So after I realised it wasn't going to work itself out, I
> Ctrl+Alt+Del to get out.
>
> OK. So when I boot up now, everything opens that should but, when the
> templates folder goes to open (because it was there when I shut down, the
> system locks again and I cannot do anything on my machine, no matter what
> combination of keys (the mouse is froze too) I push.
>
> Any help would be great
> Glenn Montgomery
>
> [attachments have been removed]

>  

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sat, 22 Feb 2003 14:22:53 +1000
From:  "Mike O'Connor" <mikeoc at dodo dot com dot au>
Subject:  [os2genau] The TEMPLATES folder [was Re: [os2genau] _digest] Warp 4 is frozen on startup...]

Ed Durrant wrote:

>reboot
>when the [[[]]]] OS/2 is displayed at the top LH corner, press alt+f1
>from the blue backgrounded menu select "go to command line" - i think its option 2
>When you get the command line, ensure it displays C:\ (or whichever drive you have
>installed OS/2 to - but you must be in the root directory).
>type TEDIT CONFIG.SYS
>press the esc key to move to edit mode and add in a line that says:
>SET RESTARTOBJECTS=STARTUPFOLDERSONLY
>(this will ensure that ONLY items and folders in the startup folder are started at
>startup, not those that were running at shutdown).
>Press F4 to save and file your change and Ctrl+alt+del to restart the PC, let it start
>normally this time and you should now be OK.
>
>P.S. I suspect you've got a corrupted object in the templates folder that the WPS
>can't access, you can try running chkdsk c: /f from boot diskettes or fram a
>maintenance partition if you have one, to fix it. You can also create utility disks
>from the running system and use these.
>
>
>Glenn Montgomery wrote:
>
>>Hello all,
>>I have a bit of a problem with my warp when it is booting up.
>>It all started when I opened the Templates folder and, much to my surprise,
>>the system froze solid. I tried ctrl+esc and it came up with the Templates
>>isn't responding, press enter to end. Well I did many times but this didn't
>>help. So after I realised it wasn't going to work itself out, I
>>Ctrl+Alt+Del to get out.
>>OK. So when I boot up now, everything opens that should but, when the
>>templates folder goes to open (because it was there when I shut down, the
>>system locks again and I cannot do anything on my machine, no matter what
>>combination of keys (the mouse is froze too) I push.
>>
Hi Ed, Glenn,
FWIW, when booted to the command-line from either alt-F1 entry on "blob" 
or using that selection [C in W3|F2 in W4/eCS] with display recovery 
choices active, typing EXIT at the CLI *always* reboots the computer - 
no need to C-A-D!
I have the "display recovery choices" in |desktop|archive page 
properties active on every one of my systems with a timeout to default 
WPS boot of ~5 seconds. This doesn't add much to *unattended* boot-times 
and if attended you can always hit the [ESC]-key to continue default-WPS 
boot, without the timeout and makes it easier to access the CLI at boot 
without stabbing in hope for alt-F1.
Another point to remember is that if you are networked to other OS/2-eCS 
machines or have other bootable OS/2-eCS partitions on the same system 
ANY time you accidentally open the templates folder on those other 
partitions, from the WPS, the templates from there get added in to your 
os2.ini file on the boot-partition[or actually wherever the "SET 
 USER_INI=?:\?\????????.INI"  is pointing to] in the section :
PM_Workplace:Templates
In multi-OS2-boot situations this is the usual reason that the Templates 
folder gets locked-up not corrupted templates or folder-EAs.
I have several systems with half a dozen or more OS/2-eCS bootable 
partitions. there is no requirement for the 'Templates" physical folder 
to be actually located in "?:\desktop\OS2  system|eComstation\" tree - 
it can be in the ?"\root directory or like I have done  - put a shadow 
of it in the "?:\desktop\OS2  system|eComstation\" folder then WPS-move 
the *original* to a HPFS/JFS data-partition on the same system, which is 
seen as the same drive-letter in all the other systems. Just make sure 
that the one that becomes a *universal templates* includes all the 
relevant templates on the system. Then successively booting from every 
other OS/2-eCS-boot-partition make a shadow of the *universal templates* 
in the respective "?:\desktop\OS2  system|eComstation\" folders and 
delete the original folders in the same place. As they are shadows there 
is no problem with drive-letters.
On every one of my desktops [which are all multi-paged-vertically] I 
have the following templates on the desktop:
DataFile    [Enhanced - ODV2]
Folder        [Enhanced - ODV2]
URL
URL folder
Empty.zip
OS/2|eCS Command File.cmd

HTH

-- 
Regards,
Mike

Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Sat, 22 Feb 2003 19:00:50 +1100 (EDT)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:  [os2genau] PC Card Director for OS/2

It appears to have gone missing on my TP760EL.

How do I reinstall it?

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9307-0611  PO Box 212   FidoNet:     3:632/344
FAX:    +61-3-9307-0633  Brunswick    Internet:    chrisg at warpspeed dot com dot au
BBS:    +61-3-9307-0644  VIC 3056     CompuServe:  100250,1645
300-28,800  N,8,1 ANSI   Australia    Web Page:
                                      http://www.warpspeed dot com dot au

----------------------------------------------------------------------------------